package cn.hmsoft.pay.data.model;

import java.io.Serializable;
import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 支付渠道定义表
* @author: Zhang XiaoQing
* @date: 2017-08-21 15:36:30
* @version: 4.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "PAY_CHANNEL_DEFINE", keyColumn =  "CHANNEL_ID" , sequenceName = "")
public class PayChannelDefine implements Serializable{
	private static final long serialVersionUID = 255358303522547329L;
	//渠道编号
	private String channel_id;
	//渠道名称
	private String channel_name;
	//渠道别名
	private String channel_alias;
	//银行版本号
	private String public_version;
	//内部版本号
	private String private_version;
	//渠道其他参数
	private String channel_param;
	//支付路径
	private String pay_url;
	//订单退订接口
	private String refund_url;
	//是否启用该渠道
	private String channel_status;

	/****
	 * 渠道编号
	 */
	public String getChannel_id() {
		return this.channel_id;
	}

	/****
	 * 渠道编号
	 */
	public void setChannel_id(String channel_id) {
		this.channel_id = channel_id;
	}

	/****
	 * 渠道名称
	 */
	public String getChannel_name() {
		return this.channel_name;
	}

	/****
	 * 渠道名称
	 */
	public void setChannel_name(String channel_name) {
		this.channel_name = channel_name;
	}

	/****
	 * 渠道别名
	 */
	public String getChannel_alias() {
		return this.channel_alias;
	}

	/****
	 * 渠道别名
	 */
	public void setChannel_alias(String channel_alias) {
		this.channel_alias = channel_alias;
	}

	/****
	 * 银行版本号
	 */
	public String getPublic_version() {
		return this.public_version;
	}

	/****
	 * 银行版本号
	 */
	public void setPublic_version(String public_version) {
		this.public_version = public_version;
	}

	/****
	 * 内部版本号
	 */
	public String getPrivate_version() {
		return this.private_version;
	}

	/****
	 * 内部版本号
	 */
	public void setPrivate_version(String private_version) {
		this.private_version = private_version;
	}

	/****
	 * 渠道其他参数
	 */
	public String getChannel_param() {
		return this.channel_param;
	}

	/****
	 * 渠道其他参数
	 */
	public void setChannel_param(String channel_param) {
		this.channel_param = channel_param;
	}

	/****
	 * 支付路径
	 */
	public String getPay_url() {
		return this.pay_url;
	}

	/****
	 * 支付路径
	 */
	public void setPay_url(String pay_url) {
		this.pay_url = pay_url;
	}

	/****
	 * 订单退订接口
	 */
	public String getRefund_url() {
		return this.refund_url;
	}

	/****
	 * 订单退订接口
	 */
	public void setRefund_url(String refund_url) {
		this.refund_url = refund_url;
	}

	/****
	 * 是否启用该渠道
	 */
	public String getChannel_status() {
		return this.channel_status;
	}

	/****
	 * 是否启用该渠道
	 */
	public void setChannel_status(String channel_status) {
		this.channel_status = channel_status;
	}
	
	private String query_url;

	public String getQuery_url() {
		return query_url;
	}

	public void setQuery_url(String query_url) {
		this.query_url = query_url;
	}
	

}